/* =========== © 2024 Centroarts.com =========== */

.pm-block {
	--pm-bg: var(--post-bg-color); background-color: var(--pm-bg);
	overflow: hidden; position: relative; z-index: 1;
}

@media (min-width: 576px) {
	.pm-block { border-radius: var(--post-radius); }
}

/* PM MSG */
.pm_msg_tools, .pm_msg_info { font-size: .85rem; }
.pm_msg_tools a, .pm_msg_info a { color: inherit; }
.pm_msg_info { margin-top: 1.5rem; text-transform: uppercase; }
.pm_msg_tools { border-top: 1px solid rgba(var(--text-color-rgb), .1); padding-top: .4rem; margin-top: .4rem; }
.pm_msg_tools a, .pm_msg_info > * { margin-right: .6rem; }

.pm_msg > .text { font-size: 1.12rem; }

.conversation { padding: 0 !important; }

.conversation .dpm-wrapper, .conversation .dpm-dialog-menu,
.conversation .dpm-sidebar, .conversation .dpm-editor-wrapper,
.conversation .dpm-header { background: var(--pm-bg); }
.conversation .dpm-wrapper {
	border: 0 none; box-shadow: none !important; margin-bottom: 0 !important;
	margin-top: 0; font-family: inherit !important; color: inherit;
}
.conversation .dpm-container { border-left-color: var(--body-bg-color); }
.conversation .dpm-menu-wrapper {
	background: rgba(0, 0, 0, .1);
	backdrop-filter: blur(12px); -webkit-backdrop-filter: blur(12px);
}

@media (max-width: 991px) {
	.conversation .dpm-container { height: calc(100vh - 56px); }
}
.conversation .dpm-sidebar { border-left-color: rgba(var(--text-color-rgb), .1); box-shadow: 1px 0 rgba(var(--text-color-rgb), .1); }
.conversation .dpm-dialog-menu li { border-bottom-color: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-container-userlist .dpm-sidebar { border-left-color: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-dialog-menu { box-shadow: 1px 0 rgba(var(--text-color-rgb), .1); }
.conversation .dpm-editor-wrapper { border-top-color: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-header { border-left-color: rgba(var(--text-color-rgb), .1); box-shadow: 0 1px rgba(var(--text-color-rgb), .1); }
.conversation .dpm-header-profile, .conversation .dpm-users li .dpm-users-profile { color: inherit; }
.conversation .dpm-header-profile:hover { color: var(--link-color); }
.conversation .dpm-menu-class li, .conversation .dpm-menu-stats-list { font-family: inherit !important; }
.conversation .dpm-menu-profile { background: none !important; border-bottom-color: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-menu-content { background: var(--pm-bg); }
.conversation .dpm-menu-class { background: none !important; }
.conversation .dpm-menu-class li { color: inherit !important; }
.conversation .dpm-menu-actions li a:hover { color: var(--link-color); background: none !important; }
.conversation .dpm-menu-stats { background: none !important; border-top-color: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-menu-stats-list { color: inherit !important; background: rgba(var(--text-color-rgb), .05); }
.conversation .dpm-menu-close { background-color: rgba(0,0,0,.2); }
.conversation .dpm-menu-profile .dpm-menu-profile-link { color: var(--text-color); text-shadow: none !important; }
.conversation .dpm-menu-profile-group { color: rgba(var(--text-color-rgb), .4); }
.conversation .dpm-container-empty > span { color: var(--text-color); background: rgba(var(--text-color-rgb), .05); }

.conversation .dpm-dialog-message { box-shadow: none; }
.conversation .dpm-dialog-message-inbox { background: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-dialog-message-inbox::after { border-right-color: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-dialog-message-time { color: var(--text-muted-color); }
.conversation .dpm-dialog-message-outbox { background: rgba(var(--link-color-rgb), 0.1); }
.conversation .dpm-dialog-message-outbox:after { border-left-color: rgba(var(--link-color-rgb), 0.1); }
.conversation .dpm-header-profile img, .dpm-dialog-message-foto { background: rgba(var(--text-color-rgb), .1); }

.conversation input.dpm-search {
	background: rgba(var(--text-color-rgb), .05) !important; border: 1px solid rgba(var(--text-color-rgb), .1) !important; border-radius: var(--field-radius);
	outline: none !important; transition: background-color .2s ease, border-color .2s ease; color: inherit !important;
}
.conversation input.dpm-search:focus { background: var(--field-bg-f) !important; border-color: var(--link-color) !important; }
.conversation .dpm-users li.current .dpm-users-profile { background: rgba(var(--link-color-rgb), .2) !important; color: var(--link-color); }
.conversation .dpm-users li:hover .dpm-users-profile { background: rgba(var(--text-color-rgb), .1); }
.conversation .dpm-users li.current .dpm-users-message { color: var(--text-color); }
.conversation .dpm-users li.current .dpm-users-date { color: rgba(var(--text-color-rgb), .5); }

.conversation .dpm-users-higlight { color: var(--primary-color); }
.conversation .dpm-menu-stats-list li b { color: inherit !important; opacity: .5; }

.conversation .dpm-dialog-daterow span, .conversation .dpm-header-counter { color: rgba(var(--text-color-rgb), .5); background: rgba(var(--text-color-rgb), .05); }

.conversation .dpm-editor-send {
	height: 48px; line-height: 24px; font: normal var(--body-font-size)/var(--body-lineheight) var(--body-font);
	font-size: var(--body-font-size); padding: 12px 16px; border-radius: var(--btn-radius);
	white-space: nowrap; text-align: center; display: block; font-weight: bold;
	cursor: pointer; outline: none; text-decoration: none !important; text-transform: none !important;
	background: var(--btn-fill-color); color: var(--btn-fill-text-color) !important; border: 0 none;
	transition: background-color .2s ease;
}
.conversation .dpm-editor-send:hover { background-color: var(--btn-fill-hover-color); }
.conversation .dpm-editor-send:active { background-color: var(--btn-fill-active-color); }

html.dark .conversation .dpm-editor .wseditor { filter: invert(87%) saturate(100%); }

.dpm-dialog-item-select {
	background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAYAAAA71pVKAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAGJJREFUeNpiYGBgYAPiiUD8Foj/E4HfQdWD9DFMIFITOu5gQLLR+P///wyEMBBYQ9W/ZYQyQBIgNlGAkZERrIeJgQIwqnlIaX4HjXhjIhOIFZT5jpK03cmAlKvekZqrAAIMACBZWqWQEyRhAAAAAElFTkSuQmCC) no-repeat 50% 50% !important;
}

.dpm-dialog-item-select.current {
	background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAYAAAA71pVKAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAIVJREFUeNqkU9EKgDAIdBL90N7qB+utPrT9gmk4GKOc0sGBMA91pwgAM/NkXkxysGi+6OBwinpu0FTMRAQjMlbNv5IG8iCxCymlR4MRQRVVYKRSD4wI+9HQas0SCiZPm1+fiaMkywW0kkf2vbbt9Rx1V2XO7LRt0bD82e0dmqsq0au6BRgAQBh6qwOOjwgAAAAASUVORK5CYII=)!important;
}

.dpm-dialog-menu-count { background: var(--link-color) !important; }
#dpm-edit textarea { width: 100% !important; }